### Home Classes Methods

### In Files

- lib/amqp/exceptions.rb

### Parent

AMQP::Error

### Methods

- ::new

### Class/Module Index

Quicksearch

- AMQP
- AMQP::Broker
- AMQP::Channel
- AMQP::ChannelClosedError
- AMQP::Client
- AMQP::Consumer
- AMQP::Error
- AMQP::Exchange
- AMQP::Header
- AMQP::IncompatibleOptionsError
- AMQP::Integration
- AMQP::Integration::Rails
- AMQP::PossibleAuthenticationFailureError
- AMQP::Queue
- AMQP::Session
- AMQP::TCPConnectionFailed
- AMQP::Utilities
- AMQP::Utilities::EventLoopHelper
- AMQP::Utilities::ServerType

No matching classes.

# AMQP::TCPConnectionFailed

Raised when initial TCP connection to the broker fails. @api public

### Attributes

settings[R]

@return [Hash] connection settings that were used

### Public Class Methods

new(settings, cause = nil) click to toggle source

    # File lib/amqp/exceptions.rb, line 28
    def initialize(settings, cause = nil)
      @settings = settings
      @cause    = cause

      super("Could not establish TCP connection to #{@settings[:host]}:#{@settings[:port]}")
    end

[Validate]

Generated with the Darkfish Rdoc Generator 2.